# Get Conan Package Detail

Get a Conan package (PKGID) detail with its package revisions.

Endpoint: GET /har/api/v3/versions/{id}/conan/recipe-revisions/{recipe_revision}/packages/{package_id}/details
Version: 1.0
Security: x-api-key

## Query parameters:

  - `account_identifier` (string, required)
    Unique identifier for the Harness account.

## Path parameters:

  - `id` (string, required)

  - `recipe_revision` (string, required)
    Conan recipe revision (RREV) hash.

  - `package_id` (string, required)
    Conan package id (PKGID).

## Response 200 fields (application/json):

  - `data` (object, required)
    A Conan package (PKGID) detail. The package revisions are listed via the package-revisions endpoint.

  - `data.downloadCount` (integer)
    Total downloads across every finalized package revision of this package.

  - `data.lastDownloadedAt` (integer,null)
    Most recent download time (Unix milliseconds), if any.

  - `data.options` (object)
    Build options parsed from conaninfo.txt.

  - `data.packageId` (string, required)

  - `data.packageRevisionCount` (integer)
    Number of finalized package revisions (PREVs) of this package.

  - `data.recipeRevision` (string)

  - `data.settings` (object)
    Build settings parsed from conaninfo.txt.

  - `data.size` (string)

## Response default fields (application/json):

  - `error` (object, required)

  - `error.code` (string)
    For some errors that could be handled programmatically, a short string indicating the [error code](https://docs.stripe.com/error-codes) reported.

  - `error.message` (string)
    A human-readable message providing more details about the error. These messages can be shown to users.

  - `error.param` (string)
    If the error is parameter-specific, the parameter related to the error. For example, we can use this to display a message near the correct form field.

  - `error.type` (string, required)
    The type of error returned.
    Enum: "INVALID_REQUEST_ERROR", "AUTHENTICATION_ERROR", "PERMISSION_ERROR", "API_ERROR"


